{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}{% capture sizes %}
  {% for variant in product.variants %}
    {% comment %}ly_code_replace_for_[ variant.option1 | strip ]_begin{% endcomment %}{% include 'ly-option1' with variant %}{{ ly_translation | strip }}{% comment %}ly_code_replace_end{% endcomment %}|
  {% endfor %}
{% endcapture %}
{% capture colors %}
  {% for variant in product.variants %}
    {% comment %}ly_code_replace_for_[ variant.option2 | strip ]_begin{% endcomment %}{% include 'ly-option2' with variant %}{{ ly_translation | strip }}{% comment %}ly_code_replace_end{% endcomment %}|
  {% endfor %}
{% endcapture %}
<div  class="grid-product"
      data-brands="{% comment %}ly_code_replace_for_[ product.vendor ]_begin{% endcomment %}{% include 'ly-vendor' with product %}{{ ly_translation }}{% comment %}ly_code_replace_end{% endcomment %}"
      data-colors="{{ colors | strip_newlines }}"
      data-sizes="{{ sizes | strip_newlines }}"
      data-types="{% comment %}ly_code_replace_for_[ product.type ]_begin{% endcomment %}{% include 'ly-type' with product %}{{ ly_translation }}{% comment %}ly_code_replace_end{% endcomment %}">
  <a href="{{ product.url }}">
    <div class="grid-product-images">
      {% for image in product.images limit:2 %}
        <div class="grid-product-image-container">
          <img class="grid-product-image" src="{{ image.src | img_url: 'large' }}" />
        </div>
      {% endfor %}
    </div>
    <span class="grid-product-collection product-vendor" style="color: {{ meta.text_color }};">{% comment %}ly_code_replace_for_[ product.vendor ]_begin{% endcomment %}{% include 'ly-vendor' with product %}{{ ly_translation }}{% comment %}ly_code_replace_end{% endcomment %}</span>
    <span class="grid-product-title">{% comment %}ly_code_replace_for_[ product.title ]_begin{% endcomment %}{% include 'ly-title' with product %}{{ ly_translation }}{% comment %}ly_code_replace_end{% endcomment %}</span>
    <span class="grid-product-price">
      {% if product.variants[0].compare_at_price and product.variants[0].price < product.variants[0].compare_at_price %}
        <span class="grid-product-compare">{{ product.variants[0].compare_at_price | money_without_trailing_zeros }}</span>
      {% endif %}
      {{ product.price | money_without_trailing_zeros }} 
    </span>
  </a>
</div><!-- ".grid-product" -->